Subject: [6lo] FW: New Version Notification for draft-li-native-short-address-00.txt

From: "Liguangpeng (Roc, Network Technology Laboratory)" <[email-masked]>
Date: Sat, 10 Jul 2021 13:26:19 +0000

Hi, 

This document specifies mechanisms of NSA (Native Short Address) that enables IP packet transmission over links where the transmission of a full length address may be wasteful. All descriptions will focus on carrying IP packets across LLN (Low power and Lossy Networks), those LLNs positioned as limited domains. The specifications include NSA allocation, routing with NSA, header format design including length-variable fields, and how to access full IPv6 networks.

Look forwarding to discussion and comments.

Thanks

Guangpeng Li

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Saturday, July 10, 2021 8:51 PM
To: Liguangpeng (Roc, Network Technology Laboratory) <[email-masked]>
Subject: New Version Notification for draft-li-native-short-address-00.txt

A new version of I-D, draft-li-native-short-address-00.txt
has been successfully submitted by Guangpeng Li and posted to the IETF repository.

Name:		draft-li-native-short-address
Revision:	00
Title:		Native Short Address for Internet Expansion
Document date:	2021-07-10
Group:		Individual Submission
Pages:		10
URL:            https://www.ietf.org/archive/id/draft-li-native-short-address-00.txt
Status:         https://datatracker.ietf.org/doc/draft-li-native-short-address/
Html:           https://www.ietf.org/archive/id/draft-li-native-short-address-00.html
Htmlized:       https://datatracker.ietf.org/doc/html/draft-li-native-short-address

Abstract:
   This document specifies mechanisms of NSA (Native Short Address) that
   enables IP packet transmission over links where the transmission of a
   full length address may be wasteful.  All descriptions will focus on
   carrying IP packets across LLN (Low power and Lossy Networks), those
   LLNs positioned as limited domains.  The specifications include NSA
   allocation, routing with NSA, header format design including length-
   variable fields, and how to access full IPv6 networks.

The IETF Secretariat

---

From: "Carles Gomez Montenegro" <[email-masked]>
Date: Tue, 27 Jul 2021 18:31:38 +0200

Hi Guangpeng,

Thanks for your interesting draft.

Please find a number of comments below:

- Section 1. “NSA routing does not need to spread routing messages to
establish the node-local routing table; such diffusion action would
consume too much network resources, thus not being suitable for large
networks that consist of many nodes.”

While your proposal involves no routing protocol messages, other messages
need to be sent (i.e. AR and the corresponding response messages). Since
CNNs are often characterized by dynamic topologies (e.g. due to the use of
wireless links and/or due to node mobility), how would topology changes be
dealt with in your proposal?  Probably, some sort of address maintenance
(involving the transmission of control messages) is needed.

- Figure 1: the footnote and the related text before the figure may need
further clarification. LOWPAN_IPHC allows compressing an IPv6 header (when
using global addresses) down to 3 bytes. Perhaps you might want to
highlight that such compression degree can only be achieved for a reduced
number of source-destination pairs in a given 6LoWPAN network (if that
captures your intent).

- Section 5.2. “The border router (i.e., the root node) can construct IPv6
address for nodes by concatenating IPv6 prefix and native short
address.”

I understand that NSAs are of variable size. Does the Border Router assign
a prefix of a suitable size to each node? How does the Border Router learn
about the short addresses being used in the NSA domain?

- Are nodes in the NSA domain aware of their (uncompressed) IPv6 addresses?

- It seems like the Border Router acts as an address translator.

- Section 7: “This document requires IANA to assign the range 0101000 to
0101111 of the "Dispatch Type Field"”

Probably you meant the range “01010000 to 0101111”.

Also, please note that the first dispatch field value (01010000) in page 0
(RFC 8025) is reserved as LOWPAN_BC0 (mesh broadcast/multicast support).

Looking forward to your presentation in the 6lo session.

Cheers,

Carles (with no particular hat)

> enables IP packet transmission over links where the transmission of a full
> length address may be wasteful. All descriptions will focus on carrying IP
> packets across LLN (Low power and Lossy Networks), those LLNs positioned
> as limited domains. The specifications include NSA allocation, routing
> with NSA, header format design including length-variable fields, and how
> to access full IPv6 networks.
>
> URL:
> https://www.ietf.org/archive/id/draft-li-native-short-address-00.txt
> Status:
> https://datatracker.ietf.org/doc/draft-li-native-short-address/
> Html:
> https://www.ietf.org/archive/id/draft-li-native-short-address-00.html
> Htmlized:
> https://datatracker.ietf.org/doc/html/draft-li-native-short-address
>
>
> Abstract:
> _______________________________________________
> 6lo mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6lo
>

---

From: "Liguangpeng (Roc, Network Technology Laboratory)" <[email-masked]>
Date: Wed, 28 Jul 2021 08:17:22 +0000

Thank you for detailed comments. Please see in lines

> From: 6lo [mailto:[email-masked]] On Behalf Of Carles Gomez Montenegro
> Sent: Wednesday, July 28, 2021 12:32 AM
> Cc: [email-masked]
> Subject: Re: [6lo] FW: New Version Notification for draft-li-native-short-address-00.txt
> 
> Hi Guangpeng,
> 
> - Section 1. “NSA routing does not need to spread routing messages to establish the
> node-local routing table; such diffusion action would consume too much network resources,
> thus not being suitable for large networks that consist of many nodes.”
> 
> While your proposal involves no routing protocol messages, other messages need to be sent
> (i.e. AR and the corresponding response messages). Since CNNs are often characterized by
> dynamic topologies (e.g. due to the use of wireless links and/or due to node mobility), how
> would topology changes be dealt with in your proposal?  Probably, some sort of address
> maintenance (involving the transmission of control messages) is needed.
> 
[G. L] Good comment. The node's NSA address is always managed by it's direct ancestor. In my immature thought, root and forwarder nodes at most need to maintain two bitmaps (one for child forwarder, the other for child leaf) to record which child addresses have been used. When topology changes, the neighbor relationship between parent and its children may be broken, thus trigger update of the bitmaps accordingly. So there may be no control messages needed. 

> - Figure 1: the footnote and the related text before the figure may need further clarification.
> LOWPAN_IPHC allows compressing an IPv6 header (when using global addresses) down
> to 3 bytes. Perhaps you might want to highlight that such compression degree can only be
> achieved for a reduced number of source-destination pairs in a given 6LoWPAN network (if
> that captures your intent).
> 

[G. L] Exactly. Such compression degree relies on deriving address from encapsulating (Context or lower layer address) . It may not be common case. If anyone who is familiar LOWPAN_IPHC very much and show the exact conditions to achieve 2/3 Octets (show in RFC 6282), we can discuss what's the advantages and shortcoming in view of whole networking. Whatever，I should clarify the footnote and text in the document in next version.

> - Section 5.2. “The border router (i.e., the root node) can construct IPv6 address for nodes
> by concatenating IPv6 prefix and native short address.”
> 
> I understand that NSAs are of variable size. Does the Border Router assign a prefix of a
> suitable size to each node? How does the Border Router learn about the short addresses
> being used in the NSA domain?
> 
[G. L] According to NSA solution, the network topology can be controlled in both width and depth, thus the biggest NSA length is known. Suppose it will be limited under 64bits, then we can assign a /64 prefix for all NSAs and rest of bit between prefix and NSA can be zeros

> - Are nodes in the NSA domain aware of their (uncompressed) IPv6 addresses?
[G. L] Actually no. Why they need to know that?

> - It seems like the Border Router acts as an address translator.
[G. L] Yes, if we define translator as a node that consuming inputs and generating different outputs.

> Probably you meant the range “01010000 to 0101111”.
[G. L] Apologize for the typo. I'll modify it soon. “This document requires IANA to assign the range 01010001 to
> 01011111 of the "Dispatch Type Field"”

> Also, please note that the first dispatch field value (01010000) in page 0 (RFC 8025) is
> reserved as LOWPAN_BC0 (mesh broadcast/multicast support).
> 
[G. L] Thanks for pointing this. I checked the registry table again, either NSA gives up using 01010000 because of conflict with LOWPAN_BC0 (maybe just do not use TF=00), or move NSA to page in 1-14. I have no experience with this, more suggestion in this aspect will be appreciated.

> > allocation, routing with NSA, header format design including
> > length-variable fields, and how to access full IPv6 networks.
> >